net.dontdrinkandroot.lastfm.api.ws

## Class Fetcher

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.ws.Fetcher

    public class Fetcher
    extends Object

This class is responsible for actually fetching the data from last.fm and converting it to a dom Document.

Author:
  Philip W. Sorst

### Constructor Summary

Constructors
Constructor and Description
`Fetcher()`

### Method Summary

Methods
`LastfmResponse` `get(Map<String,String> parameters)`
`double` `getWebRequestsPerSecond()`
`LastfmResponse` `post(Map<String,String> parameters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Fetcher

    public Fetcher()
            throws ParserConfigurationException

Throws:
  `ParserConfigurationException`

### Method Detail

#### get

    public final LastfmResponse get(Map<String,String> parameters)
                             throws LastfmWebServicesException

Throws:
  `LastfmWebServicesException`

#### post

    public final LastfmResponse post(Map<String,String> parameters)
                              throws LastfmWebServicesException

Throws:
  `LastfmWebServicesException`

#### getWebRequestsPerSecond

    public final double getWebRequestsPerSecond()